---
category: design
layout: feature
title: TileMill
description: Design beautiful maps
permalink: /
image: /assets/pages/tilemill-01.jpg
---
<div class='clearfix' markdown='1'>
  <big class='col-2'>
  TileMill is an application for making beautiful maps. Whether you're a journalist, web designer, researcher,	 or seasoned cartographer, TileMill is the design studio you need to create compelling, interactive maps.

  <div class='centered'>
    <a class='button' href='{{site.baseurl}}/download/index.html'>Download TileMill<small>For Mac OS X &amp; Linux</small></a>
    <a class='button' href='{{site.baseurl}}/docs/index.html'>Documentation<small>Manual, tutorials, &amp; more</small></a>
  </div>
  </big>

  <div class='col-2'>
  <div class='image' style='background-image:url({{site.baseurl}}/assets/pages/octocat.png)'>
  ### Powered by Open Source

  TileMill is built on a suite of modern open source libraries including [Mapnik](http://mapnik.org), [node.js](http://nodejs.org), [backbone.js](http://documentcloud.github.com/backbone), [express](http://expressjs.com) and [CodeMirror](http://codemirror.net). Jump on [GitHub](http://github.com) where you can dig into the source code.

  <small class='more'>[Fork me on GitHub &rarr;](http://github.com/mapbox/tilemill)</small>
  </div>
  <div class='image' style='background-image:url({{site.baseurl}}/assets/pages/ipad.png)'>
  ### Mobile ready

  Every map you make in TileMill is mobile ready. By leveraging the portable, fast [MBTiles]({{site.url}}/mbtiles-spec/) format, each TileMill map looks and works great on the web and offline.

  <small class='more'>[MapBox for iPad &rarr;]({{site.url}}/ipad/)</small>
  </div>
  </div>
</div>

------

<div class='clearfix' markdown='1'>
  <div class='col-2'>
  ### I have never made a map...

  If you have ever written one line of CSS, you'll be right at home with TileMill's map styling language Carto. TileMill comes with well-documented examples that illustrate the basics of layer management, feature styling, and interaction. A [step-by-step manual]({{site.baseurl}}/docs/manual/) can teach you everything you need to know about geodata, projections, and symbolizers.

  Looking for training or support? We can be with you through every step of the mapmaking process. Check out our [support plans]({{site.url}}/support/index.html).
  </div>
  <div class='col-1'>
  ### Is there a Windows version?

  Not yet. [Node.js](http://nodejs.org) is expected to have full Windows support in the next stable version. When that happens, we'll evaluate the feasibility of a Windows port.

  Until then you may want to try the [VirtualBox VM](http://support.mapbox.com/kb/introduction-installation/tilemill-virtualbox-vm) for running TileMill on Windows.
  </div>
  <div class='col-1'>
  ### Have more questions?

  Feel free to [contact us]({{site.url}}/contact/index.html) with any questions regarding TileMill or map design in general.
  </div>
</div>

